Package Details: multimc-git 0.6.7.r0.gc291946d-1

Git Clone URL: https://aur.archlinux.org/multimc-git.git (read-only)
Package Base: multimc-git
Description: Free, open source launcher and instance manager for Minecraft.
Upstream URL: http://multimc.org/
Keywords: launcher minecraft
Licenses: Apache
Conflicts: multimc, multimc5, multimc5-git
Provides: multimc, multimc5, multimc5-git
Replaces: multimc5-git
Submitter: peterix
Maintainer: peterix
Last Packager: peterix
Votes: 22
Popularity: 1.807001
First Submitted: 2017-05-13 09:34
Last Updated: 2019-08-05 20:01

Required by (1)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 4 5 Next › Last »

aeiou commented on 2015-11-14 20:08

Whenever I try to install this, this happens.

==> Starting build()...
-- Failed to run Git:
fatal: No names found, cannot describe anything.
-- Failed to run Git:
/tmp/pacaurtmp-zachary/multimc5/src/MultiMC5-0.4.7/build/tests/data
-- Git commit: f521c7e9f637e6d953cf4f19a543d587a31d0c58
-- Version Type: Custom
-- MultiMC 5 Version: 0.4.7
-- Configuring done
-- Generating done
-- Build files have been written to: /tmp/pacaurtmp-zachary/multimc5/src/MultiMC5-0.4.7/build
[ 1%] Performing patch step for 'QuaZIP'
can't find file to patch at input line 5
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|Index: CMakeLists.txt
|===================================================================
|--- CMakeLists.txt (revision 250)
|+++ CMakeLists.txt (working copy)
--------------------------
File to patch: ^CCMakeFiles/QuaZIP.dir/build.make:98: recipe for target 'External/Stamp/QuaZIP/QuaZIP-patch' failed
make[2]: *** [External/Stamp/QuaZIP/QuaZIP-patch] Interrupt
CMakeFiles/Makefile2:67: recipe for target 'CMakeFiles/QuaZIP.dir/all' failed
make[1]: *** [CMakeFiles/QuaZIP.dir/all] Interrupt
Makefile:160: recipe for target 'all' failed
make: *** [all] Interrupt

It does this a second time as well. What do I do?

benklett commented on 2015-10-24 15:49

RX14, I hope I was able to solve your problem.
It worked on my end so I guess it should work now.

RX14 commented on 2015-10-24 09:40

Also, $XDG_CONFIG_HOME shouldn't be the CONFIG_DIR, it should be $XDG_CONFIG_HOME/MultiMC5/. MultiMC creates a lot of folders and files in the CONFIG_DIR, and $XDG_CONFIG_HOME is too crowded for this, it should be in a subfolder.

RX14 commented on 2015-10-24 09:36

/usr/lib/multimc5/MultiMC5: error while loading shared libraries: libMultiMC_logic.so: cannot open shared object file: No such file or directory

Seems like MultiMC5 split into multiple libraries, which need to be installed.

benklett commented on 2015-10-23 23:03

Xaero252, I pushed an update which switches the package to the master branch HEAD.
Thanks for the info.

Yoplitein commented on 2015-09-28 03:41

Makedepends needs to list patch.

benklett commented on 2015-05-22 13:23

Thanks for the patch vorpalblade, I will upload the new PKGBUILD asap.

vorpalblade commented on 2015-05-22 05:49

Here's a patch if anyone is interested:


From 221e6d23fbdb1354d48531e9d2213e255bbf1995 Mon Sep 17 00:00:00 2001
From: vorpalblade77 <vorpalblade77@gmail.com>
Date: Thu, 21 May 2015 23:44:36 -0600
Subject: [PATCH] Modified PKGBUILD to work with multimc5 version 0.4.7

---
PKGBUILD | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/PKGBUILD b/PKGBUILD
index e826150..7c26e10 100755
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,7 +1,7 @@
# Maintainer: b.klettbach@gmail.com

pkgname=multimc5-git
-pkgver=0.4.5
+pkgver=0.4.6
pkgrel=1
pkgdesc="Minecraft launcher with ability to manage multiple instances."
arch=('i686' 'x86_64')
@@ -34,7 +34,7 @@ package() {
cd "$srcdir/$pkgname/build"
install -D MultiMC $pkgdir/usr/lib/multimc5/MultiMC5
install -D $srcdir/multimc5.sh $pkgdir/usr/bin/multimc5
- install -D $srcdir/$pkgname/resources/multimc/scalable/multimc.svg $pkgdir/usr/share/pixmaps/multimc5.svg
+ install -D $srcdir/$pkgname/application/resources/multimc/scalable/multimc.svg $pkgdir/usr/share/pixmaps/multimc5.svg
install -D $srcdir/multimc5.desktop $pkgdir/usr/share/applications/multimc5.desktop
install -D jars/NewLaunch.jar $pkgdir/usr/lib/multimc5/jars/NewLaunch.jar
install -D jars/JavaCheck.jar $pkgdir/usr/lib/multimc5/jars/JavaCheck.jar
--
libgit2 0.22.0

benklett commented on 2015-03-25 05:37

the Java Version should not matter but i do not know if you had the jdk7 installed, because that is what is needed for compilation

hemite commented on 2015-03-25 03:41

Originally I was using java-7-jre/jre, which didn't work with cmake for this package. I changed java versions to openjdk (archlinux-java java-7-openjdk) and compilation worked.

Should it matter which version of Java we're using? This might be a bug in the PKGBUILD.